import { EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NotifierService {
    notifyFlow: Subject<any>;
    clearNotifiesFlow: EventEmitter<boolean>;
    private chain;
    actionsFlow: Subject<Object>;
    pushNotify(notify: string, status: string, isPermamently?: boolean, isDeletable?: boolean, activeTime?: number): void;
    clearAllNotifies(): void;
    private generateHash;
    private parseArray;
    addAction(callback: Function, time?: number | null, blocker?: boolean): number;
    rejectAction(hash: any): void;
    forceActions(hash: any): void;
    countActionsInProcess(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotifierService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotifierService>;
}
